;FC2 コンテンツマーケット用検索設定
; https://adult.contents.fc2.com

[generic]

; サイト名称
SiteName=FC2PPV

; 固定文字列として返す文言
FixedStr=FC2PPV

; 販売者名をタイトルの前に埋め込む(1=埋め込む、0=埋め込まない)
SellerToTitle=0

[search]
url=https://adult.contents.fc2.com/article_search.php?id={PRODUCTCODE}

[TitleList.1]

Regex=<img[^>]*?title="(?<title>[^"]*?)".*?by <a.*?>(?<seller>[^<]*?)<.*?_Releasedate.*?(?<releasedate>20[0-9]{2}/[01][0-9]/[0-3][0-9])
genre=data-tag="(?<genre>[^"]*)"
; サムネイル
thumb=twitter:image.*?content="(?<thumburl>[^"]*)"
; パッケージ画像としてサンプル画像の1枚目（不要ならコメントアウト）
img=SampleImagesArea.*?href="(?<pkgimgurl>[^"]*)"
